---
Style/OpenStructUse:
  Exclude:
  - app/helpers/application_settings_helper.rb
  - ee/spec/features/projects/new_project_spec.rb
  - ee/spec/finders/template_finder_spec.rb
  - ee/spec/helpers/ee/blob_helper_spec.rb
  - ee/spec/lib/gitlab/auth/group_saml/failure_handler_spec.rb
  - ee/spec/lib/gitlab/legacy_github_import/project_creator_spec.rb
  - lib/api/wikis.rb
  - lib/gitlab/git/diff_collection.rb
  - lib/gitlab/import_export/after_export_strategies/base_after_export_strategy.rb
  - lib/gitlab/testing/request_inspector_middleware.rb
  - lib/mattermost/session.rb
  - spec/factories/go_module_versions.rb
  - spec/factories/wiki_pages.rb
  - spec/graphql/mutations/branches/create_spec.rb
  - spec/graphql/mutations/clusters/agent_tokens/create_spec.rb
  - spec/graphql/mutations/clusters/agents/create_spec.rb
  - spec/graphql/mutations/clusters/agents/delete_spec.rb
  - spec/graphql/mutations/commits/create_spec.rb
  - spec/helpers/application_settings_helper_spec.rb
  - spec/helpers/profiles_helper_spec.rb
  - spec/lib/gitlab/auth/o_auth/provider_spec.rb
  - spec/lib/gitlab/gitaly_client/blobs_stitcher_spec.rb
  - spec/lib/gitlab/gitaly_client/diff_stitcher_spec.rb
  - spec/lib/gitlab/legacy_github_import/project_creator_spec.rb
  - spec/lib/gitlab/quick_actions/command_definition_spec.rb
  - spec/services/projects/import_service_spec.rb
  - spec/services/system_note_service_spec.rb
  - spec/support/helpers/import_spec_helper.rb
  - spec/support/helpers/login_helpers.rb
  - spec/support/helpers/repo_helpers.rb
